Date: Mon, 12 Jan 1998 10:13:52 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: jdorchain@i-con.de
cc: linux-list <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: 2.1.77 is out
In-Reply-To: <199801120849.JAA08018@Pebbles.moebelwalther.de>
Sender: owner-linux-m68k@phil.uni-sb.de


The last change to amiflop screwed up the msdos format too (at least writing,
haven't tested reading). Unfortunately I only found out when I wanted to
get the IDE and fbcon `size 0' fix from my floppy disk :-(

But at least here's the IDE fix (assembled by hand):

--- linux-2.1.77/drivers/block/ide.c.orig	Wed Dec 10 19:19:22 1997
+++ linux-2.1.77/drivers/block/ide.c	Tue Jan  6 17:19:48 1998
@@ -1746,7 +1746,7 @@
 	ide_hwif_t *hwif = hwgroup->hwif;
 	ide_handler_t *handler;
 
-	if (!ide_ack_intr(hwif->io_ports[IDE_STATUS_OFFSET], hwif->io_ports[IDE_IRQ_OFFSET]))
+	if (hwgroup->hwif->ack_intr && !hwgroup->hwif->ack_intr(hwgroup->hwif))
 		return;
 
 	do {

Now 2.1.77 works fine on my A4000/040. /proc/ide is neat, too.

The fbcon `size 0' fix will follow tomorrow.

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

